Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.

Path Parameters

object_type
string
required

Used to group similar objects together. Give plural namespace like teams, organizations, and roles.

id
string
required

Unique identifier of the object in your system

Body

application/json
operations
object[]

You can use the following operations to edit user profile.

  • $set to add/update a property
  • $unset to delete property/channel
  • $append to insert values in property/channel array
  • $remove to remove values from property/channel array
  • $set_once to remove immutable properties
  • $increment to increase/decrease integer values on further update

Response

200 - OK

id
string

unique identifier of the object

Example:

"engineering"

object_type
string

Used to group similar objects together. Give plural namespace like teams, organizations, and roles.

Example:

"departments"

subscriptions_count
integer

number of users/child objects subscribed to the object

Example:

"departments"

properties
object

all user properties in key-value pair. SuprSend reserved properties start with $

created_at
string<date-time>

Timestamp when the object was created.

Example:

"2025-04-04T09:55:12.397Z"

updated_at
string<date-time>

Timestamp when the object was last updated.

Example:

"2025-04-04T09:55:12.422Z"

$<channel>
object[]

List of active communication channels for the object.